package com.zd.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 风险异常日志对象 lab_risk_plan_abnormal_log
 *
 * @author liubo
 * @date 2021-09-06
 */
@ApiModel("风险异常日志表")
public class LabRiskPlanAbnormalLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增主键
     */
    @ApiModelProperty(value = "${comment}")
    private Long id;

    /**
     * 风险id
     */
    @ApiModelProperty(value = "风险id")
    @Excel(name = "风险id")
    private Long riskPlanId;

    /**
     * 风险名称
     */
    @ApiModelProperty(value = "风险名称")
    @Excel(name = "风险名称")
    private String riskPlanName;

    /**
     * 所属实验室id
     */
    @ApiModelProperty(value = "所属实验室id")
    @Excel(name = "所属实验室id")
    private Long subjectId;

    /**
     * 实验室名称
     */
    @ApiModelProperty(value = "实验室名称")
    @Excel(name = "实验室名称")
    private String subjectName;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @Excel(name = "部门名称")
    private String deptName;


    /**
     * 关联组级id，归属哪个组的
     */
    @ApiModelProperty(value = "关联组级id，归属哪个组的")
    @Excel(name = "关联组级id，归属哪个组的")
    private Long groupId;

    /**
     * 传感器json字符串，主要是传感器上来的值和名字
     */
    @ApiModelProperty(value = "传感器json字符串，主要是传感器上来的值和名字")
    private String sensorJson;

    /**
     * 1是预案数据，0是设备数据
     */
    @ApiModelProperty(value = "1是预案数据，0是设备数据")
    private Long riskStatus;

    /**
     * 参考具体硬件或风扇对应的开关。
     */
    @ApiModelProperty(value = "参考具体硬件或风扇对应的开关。")
    private String opreateAct;

    /**
     * 创建人（用于数据权限）
     */
    @ApiModelProperty(value = "创建人（用于数据权限）")
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    private Long userId;

    /**
     * 开始日期
     */
    @ApiModelProperty(value = "开始日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startDate;

    /**
     * 结束日期
     */
    @ApiModelProperty(value = "结束日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;

    /**
     * 查询类型 1 近半年，2 近一年，3 近三年
     */
    private Integer chartType;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setRiskPlanId(Long riskPlanId) {
        this.riskPlanId = riskPlanId;
    }

    public Long getRiskPlanId() {
        return riskPlanId;
    }

    public void setRiskPlanName(String riskPlanName) {
        this.riskPlanName = riskPlanName;
    }

    public String getRiskPlanName() {
        return riskPlanName;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getChartType() {
        return chartType;
    }

    public void setChartType(Integer chartType) {
        this.chartType = chartType;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }


    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getSensorJson() {
        return sensorJson;
    }

    public void setSensorJson(String sensorJson) {
        this.sensorJson = sensorJson;
    }

    public Long getRiskStatus() {
        return riskStatus;
    }

    public void setRiskStatus(Long riskStatus) {
        this.riskStatus = riskStatus;
    }

    public String getOpreateAct() {
        return opreateAct;
    }

    public void setOpreateAct(String opreateAct) {
        this.opreateAct = opreateAct;
    }
}
